Skip to content
Start here

Update SSO connector state

PATCH/accounts/{account_id}/sso_connectors/{sso_connector_id}

Update SSO connector state

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
SSO Connector Write
Path ParametersExpand Collapse
account_id: string

Account identifier tag.

maxLength32
minLength32
sso_connector_id: string

SSO Connector identifier tag.

maxLength32
minLength32
Body ParametersJSONExpand Collapse
enabled: optional boolean

SSO Connector enabled state

use_fedramp_language: optional boolean

Controls the display of FedRAMP language to the user during SSO login

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional object { id, created_on, email_domain, 4 more }
id: optional string

SSO Connector identifier tag.

maxLength32
minLength32
created_on: optional string

Timestamp for the creation of the SSO connector

formatdate-time
email_domain: optional string
enabled: optional boolean
updated_on: optional string

Timestamp for the last update of the SSO connector

formatdate-time
use_fedramp_language: optional boolean

Controls the display of FedRAMP language to the user during SSO login

verification: optional object { code, status }
code: optional string

DNS verification code. Add this entire string to the DNS TXT record of the email domain to validate ownership.

status: optional "awaiting" or "pending" or "failed" or "verified"

The status of the verification code from the verification process.

One of the following:
"awaiting"
"pending"
"failed"
"verified"

Update SSO connector state

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/sso_connectors/$SSO_CONNECTOR_ID \
    -X PATCH \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2025-01-01T12:21:02.0000Z",
    "email_domain": "example.com",
    "enabled": false,
    "updated_on": "2025-01-01T12:21:02.0000Z",
    "use_fedramp_language": false,
    "verification": {
      "code": "cloudflare_dashboard_sso=023e105f4ecef8ad9ca31a8372d0c353",
      "status": "pending"
    }
  }
}